> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/82.-sorgu-abonelik-olaylarini-geri-yukle.md).

# 82. Sorgu: Abonelik olaylarını geri yükle

Teslim edilen ile üretilen abonelik olaylarını geri yükleme/yeniden kontrol etme olanağına her zaman sahip olmak iyi bir uygulamadır. Bu nedenle GeoPard, tüm üretilen abonelik olaylarının geçmişini şunun için saklar **son 12 ay**.&#x20;

Yaygın durumlar:&#x20;

* Zayıf internet bağlantısı ve olaylar teslim edilmedi
* WebSocket dinleyicisinin yeniden dağıtımı
* Alınan ile üretilen olayların tutarlılığını kontrol et

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<kullanıcı_uuid_yer_tutucusu>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Desteklenen giriş filtreleri:

* `dateFrom` ISO 8601 formatında tarih-saat olarak (ör: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601 formatında tarih-saat olarak (ör: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` aranacak "Tarla" UUID'lerinin dizisi olarak
* `fieldUuids` aranacak "Parsel" UUID'lerinin dizisi olarak&#x20;
* `userUuids` aranacak "User" UUID'lerinin dizisi olarak
* `eventUuids` abonelik "Olay" UUID'lerinin dizisi olarak

{% hint style="info" %}
Tüm filtreler mantıksal olarak şu şekilde çalışır **VE**.
{% endhint %}

{% hint style="info" %}
Her abonelik olayının bir özelliği vardır `executionDate` AWSDateTime formatında ve ISO 8601 DateTime ile uyumlu olarak gönderim anıyla bağlantılı.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/82.-sorgu-abonelik-olaylarini-geri-yukle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
